org.jboss.resteasy.util

## Interface HttpResponseCodes

-     public interface HttpResponseCodes

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `SC_ACCEPTED` Status code (202) indicating that a request was accepted for processing, but was not completed.
    `static int` | `SC_BAD_GATEWAY` Status code (502) indicating that the HTTP server received an invalid response from a server it consulted when acting as a proxy or gateway.
    `static int` | `SC_BAD_REQUEST` Status code (400) indicating the request sent by the client was syntactically incorrect.
    `static int` | `SC_CONFLICT` Status code (409) indicating that the request could not be completed due to a conflict with the current state of the resource.
    `static int` | `SC_CONTINUE` Status code (100) indicating the client can continue.
    `static int` | `SC_CREATED` Status code (201) indicating the request succeeded and created a new resource on the server.
    `static int` | `SC_EXPECTATION_FAILED` Status code (417) indicating that the server could not meet the expectation given in the Expect request header.
    `static int` | `SC_FORBIDDEN` Status code (403) indicating the server understood the request but refused to fulfill it.
    `static int` | `SC_FOUND` Status code (302) indicating that the resource reside temporarily under a different URI.
    `static int` | `SC_GATEWAY_TIMEOUT` Status code (504) indicating that the server did not receive a timely response from the upstream server while acting as a gateway or proxy.
    `static int` | `SC_GONE` Status code (410) indicating that the resource is no longer available at the server and no forwarding address is known.
    `static int` | `SC_HTTP_VERSION_NOT_SUPPORTED` Status code (505) indicating that the server does not support or refuses to support the HTTP protocol version that was used in the request message.
    `static int` | `SC_INTERNAL_SERVER_ERROR` Status code (500) indicating an error inside the HTTP server which prevented it from fulfilling the request.
    `static int` | `SC_LENGTH_REQUIRED` Status code (411) indicating that the request cannot be handled without a defined `Content-Length`.
    `static int` | `SC_METHOD_NOT_ALLOWED` Status code (405) indicating that the method specified in the `Request-Line` is not allowed for the resource identified by the `Request-URI`.
    `static int` | `SC_MOVED_PERMANENTLY` Status code (301) indicating that the resource has permanently moved to a new location, and that future references should use a new URI with their requests.
    `static int` | `SC_MOVED_TEMPORARILY` Status code (302) indicating that the resource has temporarily moved to another location, but that future references should still use the original URI to access the resource.
    `static int` | `SC_MULTIPLE_CHOICES` Status code (300) indicating that the requested resource corresponds to any one of a set of representations, each with its own specific location.
    `static int` | `SC_NO_CONTENT` Status code (204) indicating that the request succeeded but that there was no new information to return.
    `static int` | `SC_NON_AUTHORITATIVE_INFORMATION` Status code (203) indicating that the meta information presented by the client did not originate from the server.
    `static int` | `SC_NOT_ACCEPTABLE` Status code (406) indicating that the resource identified by the request is only capable of generating response entities which have content characteristics not acceptable according to the accept headers sent in the request.
    `static int` | `SC_NOT_FOUND` Status code (404) indicating that the requested resource is not available.
    `static int` | `SC_NOT_IMPLEMENTED` Status code (501) indicating the HTTP server does not support the functionality needed to fulfill the request.
    `static int` | `SC_NOT_MODIFIED` Status code (304) indicating that a conditional GET operation found that the resource was available and not modified.
    `static int` | `SC_OK` Status code (200) indicating the request succeeded normally.
    `static int` | `SC_PARTIAL_CONTENT` Status code (206) indicating that the server has fulfilled the partial GET request for the resource.
    `static int` | `SC_PAYMENT_REQUIRED` Status code (402) reserved for future use.
    `static int` | `SC_PRECONDITION_FAILED` Status code (412) indicating that the precondition given in one or more of the request-header fields evaluated to false when it was tested on the server.
    `static int` | `SC_PROXY_AUTHENTICATION_REQUIRED` Status code (407) indicating that the client MUST first authenticate itself with the proxy.
    `static int` | `SC_REQUEST_ENTITY_TOO_LARGE` Status code (413) indicating that the server is refusing to process the request because the request entity is larger than the server is willing or able to process.
    `static int` | `SC_REQUEST_TIMEOUT` Status code (408) indicating that the client did not produce a request within the time that the server was prepared to wait.
    `static int` | `SC_REQUEST_URI_TOO_LONG` Status code (414) indicating that the server is refusing to service the request because the `Request-URI` is longer than the server is willing to interpret.
    `static int` | `SC_REQUESTED_RANGE_NOT_SATISFIABLE` Status code (416) indicating that the server cannot serve the requested byte range.
    `static int` | `SC_RESET_CONTENT` Status code (205) indicating that the agent SHOULD reset the document view which caused the request to be sent.
    `static int` | `SC_SEE_OTHER` Status code (303) indicating that the response to the request can be found under a different URI.
    `static int` | `SC_SERVICE_UNAVAILABLE` Status code (503) indicating that the HTTP server is temporarily overloaded, and unable to handle the request.
    `static int` | `SC_SWITCHING_PROTOCOLS` Status code (101) indicating the server is switching protocols according to Upgrade header.
    `static int` | `SC_TEMPORARY_REDIRECT` Status code (307) indicating that the requested resource resides temporarily under a different URI.
    `static int` | `SC_UNAUTHORIZED` Status code (401) indicating that the request requires HTTP authentication.
    `static int` | `SC_UNSUPPORTED_MEDIA_TYPE` Status code (415) indicating that the server is refusing to service the request because the entity of the request is in a format not supported by the requested resource for the requested method.
    `static int` | `SC_USE_PROXY` Status code (305) indicating that the requested resource MUST be accessed through the proxy given by the `Location` field.

- - ### Field Detail

    - #### SC_CONTINUE

          static final int SC_CONTINUE

      Status code (100) indicating the client can continue.
      See Also:
        Constant Field Values

    - #### SC_SWITCHING_PROTOCOLS

          static final int SC_SWITCHING_PROTOCOLS

      Status code (101) indicating the server is switching protocols according to Upgrade header.
      See Also:
        Constant Field Values

    - #### SC_OK

          static final int SC_OK

      Status code (200) indicating the request succeeded normally.
      See Also:
        Constant Field Values

    - #### SC_CREATED

          static final int SC_CREATED

      Status code (201) indicating the request succeeded and created a new resource on the server.
      See Also:
        Constant Field Values

    - #### SC_ACCEPTED

          static final int SC_ACCEPTED

      Status code (202) indicating that a request was accepted for processing, but was not completed.
      See Also:
        Constant Field Values

    - #### SC_NON_AUTHORITATIVE_INFORMATION

          static final int SC_NON_AUTHORITATIVE_INFORMATION

      Status code (203) indicating that the meta information presented by the client did not originate from the server.
      See Also:
        Constant Field Values

    - #### SC_NO_CONTENT

          static final int SC_NO_CONTENT

      Status code (204) indicating that the request succeeded but that there was no new information to return.
      See Also:
        Constant Field Values

    - #### SC_RESET_CONTENT

          static final int SC_RESET_CONTENT

      Status code (205) indicating that the agent SHOULD reset the document view which caused the request to be sent.
      See Also:
        Constant Field Values

    - #### SC_PARTIAL_CONTENT

          static final int SC_PARTIAL_CONTENT

      Status code (206) indicating that the server has fulfilled the partial GET request for the resource.
      See Also:
        Constant Field Values

    - #### SC_MULTIPLE_CHOICES

          static final int SC_MULTIPLE_CHOICES

      Status code (300) indicating that the requested resource corresponds to any one of a set of representations, each with its own specific location.
      See Also:
        Constant Field Values

    - #### SC_MOVED_PERMANENTLY

          static final int SC_MOVED_PERMANENTLY

      Status code (301) indicating that the resource has permanently moved to a new location, and that future references should use a new URI with their requests.
      See Also:
        Constant Field Values

    - #### SC_MOVED_TEMPORARILY

          static final int SC_MOVED_TEMPORARILY

      Status code (302) indicating that the resource has temporarily moved to another location, but that future references should still use the original URI to access the resource.

      This definition is being retained for backwards compatibility. SC_FOUND is now the preferred definition.
      See Also:
        Constant Field Values

    - #### SC_FOUND

          static final int SC_FOUND

      Status code (302) indicating that the resource reside temporarily under a different URI. Since the redirection might be altered on occasion, the client should continue to use the Request-URI for future requests.(HTTP/1.1) To represent the status code (302), it is recommended to use this variable.
      See Also:
        Constant Field Values

    - #### SC_SEE_OTHER

          static final int SC_SEE_OTHER

      Status code (303) indicating that the response to the request can be found under a different URI.
      See Also:
        Constant Field Values

    - #### SC_NOT_MODIFIED

          static final int SC_NOT_MODIFIED

      Status code (304) indicating that a conditional GET operation found that the resource was available and not modified.
      See Also:
        Constant Field Values

    - #### SC_USE_PROXY

          static final int SC_USE_PROXY

      Status code (305) indicating that the requested resource MUST be accessed through the proxy given by the `Location` field.
      See Also:
        Constant Field Values

    - #### SC_TEMPORARY_REDIRECT

          static final int SC_TEMPORARY_REDIRECT

      Status code (307) indicating that the requested resource resides temporarily under a different URI. The temporary URI SHOULD be given by the `Location` field in the response.
      See Also:
        Constant Field Values

    - #### SC_BAD_REQUEST

          static final int SC_BAD_REQUEST

      Status code (400) indicating the request sent by the client was syntactically incorrect.
      See Also:
        Constant Field Values

    - #### SC_UNAUTHORIZED

          static final int SC_UNAUTHORIZED

      Status code (401) indicating that the request requires HTTP authentication.
      See Also:
        Constant Field Values

    - #### SC_PAYMENT_REQUIRED

          static final int SC_PAYMENT_REQUIRED

      Status code (402) reserved for future use.
      See Also:
        Constant Field Values

    - #### SC_FORBIDDEN

          static final int SC_FORBIDDEN

      Status code (403) indicating the server understood the request but refused to fulfill it.
      See Also:
        Constant Field Values

    - #### SC_NOT_FOUND

          static final int SC_NOT_FOUND

      Status code (404) indicating that the requested resource is not available.
      See Also:
        Constant Field Values

    - #### SC_METHOD_NOT_ALLOWED

          static final int SC_METHOD_NOT_ALLOWED

      Status code (405) indicating that the method specified in the `Request-Line` is not allowed for the resource identified by the `Request-URI`.
      See Also:
        Constant Field Values

    - #### SC_NOT_ACCEPTABLE

          static final int SC_NOT_ACCEPTABLE

      Status code (406) indicating that the resource identified by the request is only capable of generating response entities which have content characteristics not acceptable according to the accept headers sent in the request.
      See Also:
        Constant Field Values

    - #### SC_PROXY_AUTHENTICATION_REQUIRED

          static final int SC_PROXY_AUTHENTICATION_REQUIRED

      Status code (407) indicating that the client MUST first authenticate itself with the proxy.
      See Also:
        Constant Field Values

    - #### SC_REQUEST_TIMEOUT

          static final int SC_REQUEST_TIMEOUT

      Status code (408) indicating that the client did not produce a request within the time that the server was prepared to wait.
      See Also:
        Constant Field Values

    - #### SC_CONFLICT

          static final int SC_CONFLICT

      Status code (409) indicating that the request could not be completed due to a conflict with the current state of the resource.
      See Also:
        Constant Field Values

    - #### SC_GONE

          static final int SC_GONE

      Status code (410) indicating that the resource is no longer available at the server and no forwarding address is known. This condition SHOULD be considered permanent.
      See Also:
        Constant Field Values

    - #### SC_LENGTH_REQUIRED

          static final int SC_LENGTH_REQUIRED

      Status code (411) indicating that the request cannot be handled without a defined `Content-Length`.
      See Also:
        Constant Field Values

    - #### SC_PRECONDITION_FAILED

          static final int SC_PRECONDITION_FAILED

      Status code (412) indicating that the precondition given in one or more of the request-header fields evaluated to false when it was tested on the server.
      See Also:
        Constant Field Values

    - #### SC_REQUEST_ENTITY_TOO_LARGE

          static final int SC_REQUEST_ENTITY_TOO_LARGE

      Status code (413) indicating that the server is refusing to process the request because the request entity is larger than the server is willing or able to process.
      See Also:
        Constant Field Values

    - #### SC_REQUEST_URI_TOO_LONG

          static final int SC_REQUEST_URI_TOO_LONG

      Status code (414) indicating that the server is refusing to service the request because the `Request-URI` is longer than the server is willing to interpret.
      See Also:
        Constant Field Values

    - #### SC_UNSUPPORTED_MEDIA_TYPE

          static final int SC_UNSUPPORTED_MEDIA_TYPE

      Status code (415) indicating that the server is refusing to service the request because the entity of the request is in a format not supported by the requested resource for the requested method.
      See Also:
        Constant Field Values

    - #### SC_REQUESTED_RANGE_NOT_SATISFIABLE

          static final int SC_REQUESTED_RANGE_NOT_SATISFIABLE

      Status code (416) indicating that the server cannot serve the requested byte range.
      See Also:
        Constant Field Values

    - #### SC_EXPECTATION_FAILED

          static final int SC_EXPECTATION_FAILED

      Status code (417) indicating that the server could not meet the expectation given in the Expect request header.
      See Also:
        Constant Field Values

    - #### SC_INTERNAL_SERVER_ERROR

          static final int SC_INTERNAL_SERVER_ERROR

      Status code (500) indicating an error inside the HTTP server which prevented it from fulfilling the request.
      See Also:
        Constant Field Values

    - #### SC_NOT_IMPLEMENTED

          static final int SC_NOT_IMPLEMENTED

      Status code (501) indicating the HTTP server does not support the functionality needed to fulfill the request.
      See Also:
        Constant Field Values

    - #### SC_BAD_GATEWAY

          static final int SC_BAD_GATEWAY

      Status code (502) indicating that the HTTP server received an invalid response from a server it consulted when acting as a proxy or gateway.
      See Also:
        Constant Field Values

    - #### SC_SERVICE_UNAVAILABLE

          static final int SC_SERVICE_UNAVAILABLE

      Status code (503) indicating that the HTTP server is temporarily overloaded, and unable to handle the request.
      See Also:
        Constant Field Values

    - #### SC_GATEWAY_TIMEOUT

          static final int SC_GATEWAY_TIMEOUT

      Status code (504) indicating that the server did not receive a timely response from the upstream server while acting as a gateway or proxy.
      See Also:
        Constant Field Values

    - #### SC_HTTP_VERSION_NOT_SUPPORTED

          static final int SC_HTTP_VERSION_NOT_SUPPORTED

      Status code (505) indicating that the server does not support or refuses to support the HTTP protocol version that was used in the request message.
      See Also:
        Constant Field Values

Copyright © 2014. All Rights Reserved.